#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "person.h"


int main() {
    person *p;
    int i;
    int ret_code;

    p = NULL;
    for (i=0; i<100; i++) {
        ret_code = add_one_person(&p, i+1, "Henry", "Rollins");
        if (ret_code != 0 ) {
            fprintf(stderr, "Mem alloc failure: %d\n", ret_code);
            return 2; // indicate errror to user
        }
    }

    free_persons(p, i);
    return 0;
}
